Рейтинг@Mail.ru

Наши друзья и партнеры

UnixForum




Книги по Linux (с отзывами читателей)

Библиотека сайта rus-linux.net

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 8. Библиотеки общего назначения Вперед

Пакет libgsf-1.14.19

Знакомимся с пакетом libgsf

В пакете libgsf находятся библиотеки libgsf-1. В них предоставлен расширяемый абстрактный слой ввода/вывода, внутри которого реализованы структурированные файловые форматы.

Известно, что пакет правильно собирается и работает на платформе LFS-6.7.

Информация о пакете

Зависимости пакета libgsf

Обязательные

GLib-2.30.1,libxml2-2.7.8 и XML::Parser-2.40

Необязательные

Python-2.7.2, PyGTK-2.17.0, GConf-2.28.1 (требуется для сборки программы gsf-office-thumbnailer), GNOME Virtual File System-2.24.4 и libbonobo-2.24.3 (требуется для сборки библиотеки libgsf-gnome-1.so, в которых предоставляется поддержка GNOME-2) и GTK-Doc-1.18

Замечание: если вы планируете собирать пакеты GnuCash-2.2.4 или Gnumeric-1.10.11 с поддержкой GNOME, вам нужно будет собрать библиотеку libgsf-gnome-1.so.

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/libgsf

Установка пакета libgsf

Установите пакет libgsf с помощью следующих команд:

./configure --prefix=/usr --without-python &&
make

В результате запуска команды make check будет создана целая куча тестовых программ, которые будут собираться с использованием только что созданной библиотеки libgsf-1. Все программы должны собираться без проблем и не должны отображаться какие-либо ошибки.

Теперь в роли пользователя root выполните:

make install

Пояснение команд

--sysconfdir=/etc/gnome/2.30.2: Если у вас есть установленный пакет GNOME-2, то передайте этот параметр в скрипт configure для того, чтобы файлы схем Gconf были установлены там, где это нужно.

--without-python: Этот параметр необходим, если не установлен Python. Удалите его, если Python установлен.

--disable-static: Этот параметр предотвращает сборку и установку статических библиотек, имеющихся в данном пакете.

--enable-gtk-doc: Используйте этот параметр, если установлен пакет GTK-Doc и вы хотите пересобрать и установить документации по API.

Описание пакета

Установленные программы: gsf, gsf-office-thumbnailer (необязательный) и gsf-vba-dump

Установленные библиотеки: libgsf-1.{so,a} и необязательная библиотека libgsf-gnome-1.{so,a}

Установленные директории: /usr/include/libgsf-1 и /usr/share/gtk-doc/html/gsf, а также необязательный директорий /usr/lib/python2.6/site-packages/gsf

Перевод сделан с варианта оригинала, датированного Last updated on 2011-10-31 19:38:44 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет Libcroco-0.6.2   Пакет libglade-2.6.4

Поделиться: